## emacs-jabber 0.8.9999.git1569

=== Makefile ===
.phony: all tangle autoload compile lint clean

build: tangle autoload compile

dev: tangle autoload compile lint

# No -q or -Q without ORG_PATH - if the user has a newer version of
# Org, we want to use it.
jabber.el:
	if [ -z "${ORG_PATH}" ]; then \
          echo ; \
	  echo "[WARNING] ORG_PATH is unset. Org versions older than 9.3.8 have a bug" ; \
	  echo "which result in them always using absolute paths in comment links in" ; \
	  echo "tangled source files. If your Org version is older than 9.3.8, please" ; \
	  echo "upgrade it before tangling." ; \
          echo ; \
          emacs --batch \
	emacs --batch \
	--eval="(progn (package-initialize) (require 'ob-tangle))" \
	--eval='(org-babel-tangle-file "jabber.org")' ; \
        else \
          emacs -q -Q --batch \
          --eval="(add-to-list 'load-path \"${ORG_PATH}\")" \
          --eval="(require 'ob-tangle)" \
          --eval='(org-babel-tangle-file "jabber.org")' ; \
        fi

tangle: jabber.el

autoload:
	emacs -q --batch --eval="(require 'package)" \
	--eval="(package-generate-autoloads \"jabber\" default-directory)"

compile: tangle
	emacs -q -Q --batch \
	--eval="(add-to-list 'load-path \"$(pwd)\")" \
	--eval="(add-to-list 'load-path \"jabber-fallback-lib\")" \
	--eval='(byte-compile-file "jabber.el")' ; \

lint-check-declare: tangle
	emacs -q -Q --batch --eval='(check-declare-file "jabber.el")'

lint-checkdoc: tangle
	emacs -q -Q --batch --eval='(checkdoc-file "jabber.el")'

lint-package-lint: tangle
	emacs -Q --batch --eval='(package-initialize)' \
        --eval="(require 'package-lint)" \
        -f 'package-lint-batch-and-exit' jabber.el

lint-relint: tangle
	emacs -q -Q --batch --eval="(progn (package-initialize) (relint-file \"jabber.el\"))"

lint: lint-check-declare lint-checkdoc lint-package-lint lint-relint

clean-tangle:
	-rm jabber.el

clean-elc:
	-rm *.elc

clean: clean-elc

## emacs-jabber 0.7.91-2

=== debian/changelog ===
emacs-jabber (0.7.91-2) unstable; urgency=high

  * Don't create the compilation log file in an insecure directory.
    This fixes possible symlink attack reported as bug #496428.
    Closes: #496428.

 -- Milan Zamazal <pdm@debian.org>  Tue, 26 Aug 2008 13:10:01 +0200

emacs-jabber (0.7.91-1) unstable; urgency=low

  * New upstream (pretest) version.

 -- Milan Zamazal <pdm@debian.org>  Sat, 31 May 2008 09:48:51 +0200

emacs-jabber (0.7.90-1) unstable; urgency=low

  * New upstream (pretest) version.
  * debian/copyright updated.
  * Standards 3.7.3 (no real change).
  * Home page URL moved from description to control fields.

 -- Milan Zamazal <pdm@debian.org>  Wed, 30 Apr 2008 16:59:07 +0200

emacs-jabber (0.7.1-5) unstable; urgency=low

  * Fix of TLS connection creation, thanks to Valery V. Vorotyntsev.
    Closes: #476333.

 -- Milan Zamazal <pdm@debian.org>  Wed, 23 Apr 2008 10:47:43 +0200

emacs-jabber (0.7.1-4) unstable; urgency=low

  * jabber-keepalive.el updated from upstream CVS.  This avoids annoying
    verbosity when keepalive is enabled.

 -- Milan Zamazal <pdm@debian.org>  Mon, 18 Feb 2008 20:28:44 +0100

emacs-jabber (0.7.1-3) unstable; urgency=low

  * Prefer emacs22 in emacsen dependencies; closes: #434023.

 -- Milan Zamazal <pdm@debian.org>  Sat, 21 Jul 2007 10:08:00 +0200

emacs-jabber (0.7.1-2) unstable; urgency=low

  * Updated for emacs22.

 -- Milan Zamazal <pdm@debian.org>  Tue, 22 May 2007 20:39:45 +0200

emacs-jabber (0.7.1-1) experimental; urgency=low

  * New upstream version.
  * Upload to experimental because etch is in freeze.

 -- Milan Zamazal <pdm@debian.org>  Mon,  5 Feb 2007 10:12:18 +0100

emacs-jabber (0.7-3) unstable; urgency=low

  * Upstream CVS backport: fix of jabber-password rewriting.

 -- Milan Zamazal <pdm@debian.org>  Wed,  5 Jul 2006 15:15:30 +0200

emacs-jabber (0.7-2) unstable; urgency=low

  * Don't depend on flim, recommend it.
  * Upstream CVS backport: jabber-autoaway.el added.

 -- Milan Zamazal <pdm@debian.org>  Wed, 28 Jun 2006 08:30:13 +0200

emacs-jabber (0.7-1) unstable; urgency=low

  * Initial release, based on unofficial packaging by Magnus Henoch;
    closes: #372882.

 -- Milan Zamazal <pdm@debian.org>  Mon, 12 Jun 2006 19:01:19 +0200

=== debian/control ===
Source: emacs-jabber
Section: net
Priority: optional
Maintainer: Milan Zamazal <pdm@debian.org>
Build-Depends: debhelper (>= 4.0.0)
Build-Depends-Indep: texinfo
Standards-Version: 3.7.3
Homepage: http://emacs-jabber.sourceforge.net/

Package: emacs-jabber
Architecture: all
Depends: emacs22 | emacs21 | xemacs21-basesupport (>= 2004.02.02) | emacs-snapshot,  emacs22 | gnus (>= 5.10.6-1.NO.20050713-1) | emacs-snapshot
Recommends: flim, xprintidle
Description: Jabber client for Emacsen
 jabber.el (emacs-jabber) is a Jabber client for Emacs and XEmacs.
 While this is still a development version, it offers all the basic
 instant messaging functions and is highly customizable.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Prevent making *.elc files by setting EMACS to `no'
	EMACS=no ./configure --prefix=/usr --with-lispdir='$${datarootdir}/emacs/site-lisp/emacs-jabber' --libexecdir='$${prefix}/lib/emacs-jabber'
	touch configure-stamp

build: build-stamp
build-stamp: configure-stamp
	dh_testdir
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	[ ! -f Makefile ] || $(MAKE) distclean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs
	$(MAKE) install DESTDIR=$(CURDIR)/debian/emacs-jabber
	# Automake doesn't install *.el files when they are not compiled
	install -m 644 *.el $(CURDIR)/debian/emacs-jabber/usr/share/emacs/site-lisp/emacs-jabber/

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installemacsen
	dh_installinfo jabber.info*
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: build install
# We have nothing to do by default.

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## emacs-jabber 0.8.0

=== debian/changelog ===
emacs-jabber (0.8.0-3) unstable; urgency=low

  * Orphaned.

 -- Milan Zamazal <pdm@debian.org>  Tue, 27 Mar 2012 11:33:28 +0200

emacs-jabber (0.8.0-2) unstable; urgency=low

  * Switch to dpkg-source 3.0 (quilt) format.
  * Make sure `dir' file is not included in the package.
  * Standards 3.8.4.

 -- Milan Zamazal <pdm@debian.org>  Mon, 15 Mar 2010 09:32:18 +0100

emacs-jabber (0.8.0-1) unstable; urgency=low

  * New upstream version.
  * Depend on install-info.
  * Build-Depend on gconf2.
  * Standards 3.8.3.

 -- Milan Zamazal <pdm@debian.org>  Mon, 14 Sep 2009 15:50:05 +0200

emacs-jabber (0.7.93-2) unstable; urgency=low

  * Simplify dependencies on Emacsen; closes: #540244.
  * Standards 3.8.2 (no real change).
  * Support emacs23.

 -- Milan Zamazal <pdm@debian.org>  Mon, 10 Aug 2009 12:27:51 +0200

emacs-jabber (0.7.93-1) unstable; urgency=low

  * New upstream version.

 -- Milan Zamazal <pdm@debian.org>  Tue, 24 Feb 2009 10:33:44 +0100

emacs-jabber (0.7.92-1) experimental; urgency=low

  * New upstream version.
  * Don't depend on flim, depend on gnutls-bin | starttls; thanks to
    Magnus Henoch; closes: #501166.
  * Uploaded to experimental because lenny is frozen.

 -- Milan Zamazal <pdm@debian.org>  Mon, 06 Oct 2008 12:23:42 +0200

emacs-jabber (0.7.91+20080729-2) experimental; urgency=low

  * Fix creation of log file in insecure directory.
  * Uploaded to experimental because lenny is frozen.

 -- Milan Zamazal <pdm@debian.org>  Tue, 26 Aug 2008 13:10:01 +0200

emacs-jabber (0.7.91+20080729-1) experimental; urgency=low

  * CVS snapshot.  It fixes some problems with MUC functions in Emacs 22.2
    and TLS handling.
  * Additional fix applied to make groupchat invitiations work.
  * Standards 3.8.0 (no real change).
  * Uploaded to experimental because lenny is frozen.

 -- Milan Zamazal <pdm@debian.org>  Tue, 29 Jul 2008 16:02:36 +0200

=== debian/control ===
Source: emacs-jabber
Section: net
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 7), emacs, gconf2
Build-Depends-Indep: texinfo
Standards-Version: 3.8.4
Homepage: http://emacs-jabber.sourceforge.net/

Package: emacs-jabber
Architecture: all
Depends: emacs23 | emacsen | xemacs21-basesupport (>= 2004.02.02), dpkg (>= 1.15.4) | install-info, ${misc:Depends}
Recommends: xprintidle, gnutls-bin | starttls
Description: Jabber client for Emacsen
 jabber.el (emacs-jabber) is a Jabber client for Emacs and XEmacs.
 While this is still a development version, it offers all the basic
 instant messaging functions and is highly customizable.

=== debian/rules ===
--- 
+++ 
@@ -7,8 +7,9 @@
 configure: configure-stamp
 configure-stamp:
 	dh_testdir
-	# Prevent making *.elc files by setting EMACS to `no'
-	EMACS=no ./configure --prefix=/usr --with-lispdir='$${datarootdir}/emacs/site-lisp/emacs-jabber' --libexecdir='$${prefix}/lib/emacs-jabber'
+	chmod +x configure missing elisp-comp install-sh
+	./configure --prefix=/usr --with-lispdir='$${datarootdir}/emacs/site-lisp/emacs-jabber' --libexecdir='$${prefix}/lib/emacs-jabber' \
+	            --sysconfdir=/etc
 	touch configure-stamp
 
 build: build-stamp
@@ -27,11 +28,12 @@
 install: build
 	dh_testdir
 	dh_testroot
-	dh_clean -k 
+	dh_prep 
 	dh_installdirs
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/emacs-jabber
-	# Automake doesn't install *.el files when they are not compiled
-	install -m 644 *.el $(CURDIR)/debian/emacs-jabber/usr/share/emacs/site-lisp/emacs-jabber/
+	mv $(CURDIR)/debian/emacs-jabber/etc/gconf $(CURDIR)/debian/emacs-jabber/usr/share/
+	find $(CURDIR)/debian/emacs-jabber -name '*.elc' | xargs -r rm
+	find $(CURDIR)/debian/emacs-jabber -name 'dir' -o -name 'dir.gz' | xargs -r rm
 
 # Build architecture-independent files here.
 binary-indep: build install

## emacs-jabber 0.8.92%2Bgit98dc8e

=== debian/watch ===
version=3
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)[\-\.]?\d*)$/$1~$2/ \
https://qa.debian.org/watch/sf.php/emacs-jabber/emacs-jabber-(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))

## emacs-jabber 0.8.92+git98dc8e

=== debian/changelog ===
emacs-jabber (0.8.92+git98dc8e-7) unstable; urgency=medium

  [ Nicholas D Steeves ]
  * Drop emacs24 and emacs25 from Enhances
    (packages do not exist in bullseye).

  [ Matteo F. Vescovi ]
  * debian/control:
    - debhelper bump 12 -> 13
    - S-V bump 4.5.0 -> 4.5.1 (no changes needed)
    - dummy binary package dropped
  * debian/watch: version bump 3 -> 4

 -- Matteo F. Vescovi <mfv@debian.org>  Tue, 17 Aug 2021 20:29:30 +0200

emacs-jabber (0.8.92+git98dc8e-6) unstable; urgency=medium

  [ David Krauser ]
  * Update maintainer email address

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Remove unnecessary ${misc:Built-Using} for elpa-jabber

  [ Matteo F. Vescovi ]
  * debian/control: RRR set
  * debian/control: S-V bump 4.1.4 -> 4.5.0 (no changes needed)
  * debian/watch: http:// -> https:// for URI path

 -- Matteo F. Vescovi <mfv@debian.org>  Sat, 29 Feb 2020 20:41:33 +0100

emacs-jabber (0.8.92+git98dc8e-5) unstable; urgency=medium

  * Team upload.
  * Rebuild with current dh-elpa

 -- David Bremner <bremner@debian.org>  Sun, 25 Aug 2019 09:14:56 -0300

emacs-jabber (0.8.92+git98dc8e-4) unstable; urgency=medium

  * debian/: debhelper bump 10 -> 11
  * debian/control:
    - S-V bump 3.9.8 -> 4.1.4 (no changes needed)
    - Vcs-* fields updated poiting to salsa
  * debian/rules: drop '--parallel' parameter

 -- Matteo F. Vescovi <mfv@debian.org>  Thu, 14 Jun 2018 22:27:40 +0200

emacs-jabber (0.8.92+git98dc8e-3) unstable; urgency=medium

  * Team upload.
  * Rebuild with dh-elpa 1.13 to fix byte-compilation with unversioned
    emacs

 -- David Bremner <bremner@debian.org>  Sat, 02 Jun 2018 20:21:08 -0300

emacs-jabber (0.8.92+git98dc8e-2) unstable; urgency=medium

  * Upload to unstable

 -- Matteo F. Vescovi <mfv@debian.org>  Sat, 17 Dec 2016 14:15:10 +0100

emacs-jabber (0.8.92+git98dc8e-1) experimental; urgency=medium

  * New upstream snapshot release

 -- Matteo F. Vescovi <mfv@debian.org>  Thu, 15 Dec 2016 22:32:27 +0100

emacs-jabber (0.8.92-1) experimental; urgency=medium

  * New upstream release (Closes: #665954)
    - debian/compat: 7 -> 10 version bump
    - debian/copyright: DEP-5 compliance and refresh
    - debian/control: new structure based on dh-elpa
    - debian/control: transition package added
    - debian/rules: new skeleton based on dh-elpa
    - debian/rules: overrides added for correct building
    - debian/: new files following dh-elpa structure
      - elpa
      - gbp.conf
      - watch
    - debian/: old packaging files removed
    - debian/dirs: remove obsolete emacs-jabber path
    - debian/elpa: old installation path removed

 -- Matteo F. Vescovi <mfv@debian.org>  Tue, 06 Dec 2016 09:30:46 +0100

=== debian/control ===
Source: emacs-jabber
Section: net
Priority: optional
Maintainer: Debian Emacsen Team <debian-emacsen@lists.debian.org>
Uploaders: Matteo F. Vescovi <mfv@debian.org>
Build-Depends: debhelper-compat (= 13), dh-elpa
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: http://emacs-jabber.sourceforge.net/
Vcs-Browser: https://salsa.debian.org/emacsen-team/emacs-jabber
Vcs-Git: https://salsa.debian.org/emacsen-team/emacs-jabber.git
Testsuite: autopkgtest-pkg-elpa

Package: elpa-jabber
Architecture: all
Depends: ${elpa:Depends}, ${misc:Depends}, emacs
Recommends: emacs (>= 46.0), xprintidle, gnutls-bin | starttls
Enhances: emacs
Description: Jabber client for Emacsen
 jabber.el (emacs-jabber) is a Jabber client for Emacs and XEmacs.
 While this is still a development version, it offers all the basic
 instant messaging functions and is highly customizable.

=== debian/watch ===
version=4
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)[\-\.]?\d*)$/$1~$2/ \
https://qa.debian.org/watch/sf.php/emacs-jabber/emacs-jabber-(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))

## emacs-jabber 0.8.9999.git1569

=== debian/changelog ===
emacs-jabber (0.8.9999.git1569-1) unstable; urgency=medium

  * New upstream repo https://codeberg.org/emacs-jabber/emacs-jabber
  * New upstream snapshot af0315e174fa6446d5c4dd3e6465d48912950e58
  * Bug fix: "Fails to compile with Emacs 28: Error: Wrong number of
    arguments: make-obsolete, 2", thanks to Yavor Doganov (Closes:
    #1017818).
  * Bug fix: "consider switching to active fork", (Closes: #1016840).

 -- David Bremner <bremner@debian.org>  Mon, 05 Sep 2022 13:20:34 -0300

=== debian/control ===
Source: emacs-jabber
Section: net
Priority: optional
Maintainer: Debian Emacsen Team <debian-emacsen@lists.debian.org>
Uploaders: David Bremner <bremner@debian.org>, Matteo F. Vescovi <mfv@debian.org>
Build-Depends: debhelper-compat (= 13), dh-elpa
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: https://codeberg.org/emacs-jabber/emacs-jabber
Vcs-Browser: https://salsa.debian.org/emacsen-team/emacs-jabber
Vcs-Git: https://salsa.debian.org/emacsen-team/emacs-jabber.git
Testsuite: autopkgtest-pkg-elpa

Package: elpa-jabber
Architecture: all
Depends: ${elpa:Depends}, ${misc:Depends}, emacs
Recommends: emacs (>= 46.0), xprintidle, gnutls-bin | starttls
Enhances: emacs
Description: Jabber client for Emacsen
 jabber.el (emacs-jabber) is a Jabber client for Emacs.
 While this is still a development version, it offers all the basic
 instant messaging functions and is highly customizable.

=== debian/rules ===
#!/usr/bin/make -f

PKG_VER = 0.8.9999.git1569

%:
	dh $@ --with elpa

override_dh_autoreconf:

override_dh_auto_build:
	sed "s|@""PACKAGE_VERSION@""|$(PKG_VER)|" < \
	$(CURDIR)/jabber-pkg.el.in > \
	$(CURDIR)/jabber-pkg.el

## emacs-jabber 0.9.0

=== Makefile ===
.phony: all autoload compile lint clean

build: autoload compile

dev: autoload compile lint

autoload:
	emacs -q --batch --eval="(require 'package)" \
	--eval="(package-generate-autoloads \"jabber\" \"lisp\")"

compile:
	emacs -q -Q -L . -L lisp -L lisp/jabber-fallback-lib --batch \
	--eval="(setq print-length nil load-prefer-newer t)" \
	-f batch-byte-compile lisp/*.el

lint-check-declare:
	for file in lisp/*.el ; do \
	emacs -q -Q --batch --eval="(check-declare-file \"$$file\")" ; \
	done

lint-checkdoc:
	for file in lisp/*.el ; do \
	emacs -q -Q --batch --eval="(checkdoc-file \"$$file\")" ; \
	done

lint-package-lint:
	emacs -Q --batch \
	--eval='(package-initialize)' --eval="(require 'package-lint)" \
        -f 'package-lint-batch-and-exit' $(wildcard lisp/*.el)

lint-relint:
	emacs -Q --batch \
	--eval='(package-initialize)' --eval="(require 'relint)" \
	-f 'relint-batch' "lisp"

lint: lint-check-declare lint-checkdoc lint-package-lint lint-relint

clean-elc:
	-rm lisp/*.elc

clean: clean-elc

=== debian/changelog ===
emacs-jabber (0.9.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version.
  * debian/copyright:
    - update copyright holders
  * debian/elpa:
    - elisp files are now under ./lisp/
  * debian/rules:
    - manual version setting not necessary anymore

 -- Martin <debacle@debian.org>  Fri, 14 Mar 2025 00:41:51 +0000

emacs-jabber (0.8.9999.git1569-2) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.5.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 25 Jul 2024 19:29:23 +0900

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
 Package: elpa-jabber
 Architecture: all
 Depends: ${elpa:Depends}, ${misc:Depends}, emacs
-Recommends: emacs (>= 46.0), xprintidle, gnutls-bin | starttls
+Recommends: emacs, xprintidle, gnutls-bin | starttls
 Enhances: emacs
 Description: Jabber client for Emacsen
  jabber.el (emacs-jabber) is a Jabber client for Emacs.

=== debian/watch ===
version=4
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)[\-\.]?\d*)$/$1~$2/ \
https://codeberg.org/emacs-jabber/emacs-jabber/tags .*/v(\d.*[^dev])\.(?:tgz|tar\.(?:gz|bz2|xz))
